Redmine 3.3.3.stable Cannot find binary for Git 2.14 

2017-08-25 23:58 - Mike Pento

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.3

Description

Redmine 3.3.3.stable cannot locate binary for Git version past 2.13.3 (Archlinux)

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.3.4-p301 (2017-03-30) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.13.3

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.12

  red_jenkins                    1.0.3

  redcase                        1.0

Attempting to add a repository to a project in Redmine after upgrading to Git v2.14.1 shows the following in the passenger log:  

[ 2017-08-23 18:01:37.7908 1020/7fecc85f0700 age/Cor/CoreMain.cpp:917 ]: Checking whether to disco

nnect long-running connections for

 process 15964, application /usr/share/webapps/redmine/public (production)

App 14348 stderr: error: unknown option `no-color'

App 14348 stderr: usage: git version [<options>]

App 14348 stderr: 

App 14348 stderr:     --build-options       also print build options

App 14348 stderr: 

App 14367 stdout: Version: ImageMagick 6.9.9-9 Q16 x86_64 2017-08-21 http://www.imagemagick.org

App 14367 stdout: Copyright: © 1999-2017 ImageMagick Studio LLC

App 14367 stdout: License: http://www.imagemagick.org/script/license.php

App 14367 stdout: Features: Cipher DPC HDRI Modules OpenCL OpenMP 

App 14367 stdout: Delegates (built-in): bzlib cairo fontconfig freetype gslib jng jp2 jpeg lcms lq

r ltdl lzma openexr pangocairo png ps rsvg tiff webp wmf x xml zlib

 Investigation leads to passing the '--no-color' option from the git adapter, presumably when trying to determine if the binary is present

and in the path.

Related issues:

Is duplicate of Redmine - Defect #26645: git 2.14 compatibility Closed

History

#1 - 2017-08-25 23:59 - Mike Pento

NOTE: Downgrade of Git from 2.14.1 to 2.13.3 appears to be a workaround to this issue.

#2 - 2017-08-26 06:54 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #26645.

2025-08-23 1/2

https://www.redmine.org/issues/26645


#3 - 2017-08-26 21:59 - Marius BĂLTEANU

- Is duplicate of Defect #26645: git 2.14 compatibility added
